import { IsString } from 'class-validator'

/**
 * Error to throw when a permission couldn't be found.
 */
export class MailServerConfigError extends Error {
    @IsString()
    name = "MailServerConfigError"

    @IsString()
    message = "The SMTP server you provided couldn't be reached!"
}