/**
 * This enum contains all object types/entities a response can contain.
 */
export enum ResponseObjectType {
    AUTH = 'AUTH',
    DISTANCEDONATION = 'DISTANCEDONATION',
    DONATION = 'DONATION',
    DONOR = 'DONOR',
    EMPTY = 'EMPTY',
    GROUPCONTACT = 'GROUPCONTACT',
    LOGOUT = 'LOGOUT',
    PARTICIPANT = 'PARTICIPANT',
    PERMISSION = 'PERMISSION',
    PRINCIPAL = 'PRINCIPAL',
    RUNNER = 'RUNNER',
    RUNNERCARD = 'RUNNERCARD',
    RUNNERGROUP = 'RUNNERGROUP',
    RUNNERORGANIZATION = 'RUNNERORGANIZATION',
    RUNNERTEAM = 'RUNNERTEAM',
    SCAN = 'SCAN',
    SCANSTATION = 'SCANSTATION',
    SELFSERVICEDONATION = 'SELFSERVICEDONATION',
    SELFSERVICERUNNER = 'SELFSERVICRUNNER',
    STATS = 'STATS',
    STATSCLIENT = 'STATSCLIENT',
    STATSORGANIZATION = 'STATSORGANIZATION',
    STATSRUNNER = 'STATSRUNNER',
    STATSTEAM = 'STATSTEAM',
    TRACK = 'TRACK',
    TRACKSCAN = 'TRACKSCAN',
    USER = 'USER',
    USERGROUP = 'USERGROUP',
    USERPERMISSIONS = 'USERPERMISSIONS',
}