import axios from 'axios';
import { config } from '../../config';

const base = "http://localhost:" + config.internal_port

let access_token;
let axios_config;

beforeAll(async () => {
    const res = await axios.post(base + '/api/auth/login', { username: "demo", password: "demo" });
    access_token = res.data["access_token"];
    axios_config = {
        headers: { "authorization": "Bearer " + access_token },
        validateStatus: undefined
    };
});

describe('POST /mails/test valid', () => {
    it('test mail request should return 200', async () => {
        const res1 = await axios.post(base + '/api/mails/test', null, axios_config);
    });
});